package jeremiahteague.com;

import java.util.Random;

import android.app.Activity;
//import android.widget.Button;
//import android.widget.ToggleButton;

public class Game extends Activity implements Constants{
	
	private int nRight;
	private int nWrong;
	//private int nTimeLeft;
	
	private Scale scPreviousScale;
	private Scale scCurrentScale;
	/*
	protected ToggleButton btnA;
	protected ToggleButton btnB;
	protected ToggleButton btnC;
	protected ToggleButton btnD;
	protected ToggleButton btnE;
	protected ToggleButton btnF;
	protected ToggleButton btnG;
	protected Button btnNext;
	*/
	public Game()
	{
		nRight = 0;
		nWrong = 0;
		scCurrentScale = this.randomScale();
		scPreviousScale = scCurrentScale;
		//setUpButtons();
		
	}
	
	public int getRight() 		{return nRight;}
	public void incrRight()		{nRight++;}
	public int getWrong() 		{return nWrong;}
	public void incrWrong()		{nWrong++;}
	public Scale getPreScale()	{return scPreviousScale;}
	public Scale getCurScale()	{return scCurrentScale;}
	public void resetGame()		{nRight = 0; nWrong = 0;}
	/*
	public void updateNoteButton(int nNote)
	{
		switch(nNote)
		{
		case BUTTON_A:
			if(btnA.isChecked())
				updateNoteButton(BUTTON_A, false);
			else
				updateNoteButton(BUTTON_A, true);
			break;
		case BUTTON_B:
			if(btnB.isChecked())
				updateNoteButton(BUTTON_B, false);
			else
				updateNoteButton(BUTTON_B, true);
			break;
		case BUTTON_C:
			if(btnC.isChecked())
				updateNoteButton(BUTTON_C, false);
			else
				updateNoteButton(BUTTON_C, true);
			break;
		case BUTTON_D:
			if(btnD.isChecked())
				updateNoteButton(BUTTON_D, false);
			else
				updateNoteButton(BUTTON_D, true);
			break;
		case BUTTON_E:
			if(btnE.isChecked())
				updateNoteButton(BUTTON_E, false);
			else
				updateNoteButton(BUTTON_E, true);
			break;
		case BUTTON_F:
			if(btnF.isChecked())
				updateNoteButton(BUTTON_F, false);
			else
				updateNoteButton(BUTTON_F, true);
			break;
		case BUTTON_G:
			if(btnG.isChecked())
				updateNoteButton(BUTTON_G, false);
			else
				updateNoteButton(BUTTON_G, true);
			break;
		}
	}
	public void updateNoteButton(int nNote, boolean bValue)
	{
		switch(nNote)
		{
		case BUTTON_A:
			btnA.setChecked(bValue);
			break;
		case BUTTON_B:
			btnB.setChecked(bValue);
			break;
		case BUTTON_C:
			btnC.setChecked(bValue);
			break;
		case BUTTON_D:
			btnD.setChecked(bValue);
			break;
		case BUTTON_E:
			btnE.setChecked(bValue);
			break;
		case BUTTON_F:
			btnF.setChecked(bValue);
			break;
		case BUTTON_G:
			btnG.setChecked(bValue);
			break;
		}
	}
	*/
	// called when the player hits the "next" button to continue game
	public Scale randomScale()
	{
		// get a new random scale, update previousScale for player correction
		Random randomGen = new Random();
		int nRandom = randomGen.nextInt(30);
		scPreviousScale = scCurrentScale;
		scCurrentScale = new Scale(nRandom);
		/*
		// reset note toggle buttons
		btnA.setChecked(false);
    	btnB.setChecked(false);
    	btnC.setChecked(false);
    	btnD.setChecked(false);
    	btnE.setChecked(false);
    	btnF.setChecked(false);
    	btnG.setChecked(false);
		*/
		return scCurrentScale;
	}
	/*
	private void setUpButtons()
	{
		// associate the btns with the GUI in XML
		btnA = (ToggleButton) findViewById(R.id.btn_a);
    	btnB = (ToggleButton) findViewById(R.id.btn_b);
    	btnC = (ToggleButton) findViewById(R.id.btn_c);
    	btnD = (ToggleButton) findViewById(R.id.btn_d);
    	btnE = (ToggleButton) findViewById(R.id.btn_e);
    	btnF = (ToggleButton) findViewById(R.id.btn_f);
    	btnG = (ToggleButton) findViewById(R.id.btn_g);
    	btnNext = (Button) findViewById(R.id.btn_next);
    	
    	btnA.setChecked(false);
    	btnB.setChecked(false);
    	btnC.setChecked(false);
    	btnD.setChecked(false);
    	btnE.setChecked(false);
    	btnF.setChecked(false);
    	btnG.setChecked(false);
		
	}
	 */
}
